On August 21st, 2013 DIA will be implementing the next phase of our PACS upgrade. This upgrade will require a new viewer download to each PC that is utilizing our PACS. To view images and reports THIS IS A REQUIREMENT! This viewer is safe and will not harm your computer. In most cases, you will not need to do anything except download the new viewer. In some instances, you may need to temporarily disable your firewall. You must use Internet Explorer and have version 6 or higher.  If you see patient names, but are unable to view images, please click the icon that looks like a broken piece of paper. This is compatiblity mode. Once compatibilty mode is clicked, log out and log back in to PACS. You should be able to use it. Please contact Brian at 636-1902 with any questions or assistance. Thank you for your continued support.